%define upstream_name    DateTime-Format-Natural
%define upstream_version 1.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Base class for DateTime::Format::Natural::Lang::
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

# not autodetected 
Requires:   perl(boolean)
BuildRequires: perl(Carp)
BuildRequires: perl(Clone)
BuildRequires: perl(Cwd)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::TimeZone)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Module::Util)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::MockTime)
BuildRequires: perl(Test::More)
BuildRequires: perl(boolean)
BuildArch:  noarch

%description
'DateTime::Format::Natural' takes a string with a human readable date/time
and creates a machine readable one by applying natural parsing logic.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/DateTime
%{_bindir}/dateparse
%{_mandir}/man1/dateparse.1*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.20.0-2.mga4
+ Revision: 526877
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.20.0-1.mga4
+ Revision: 439060
- update to 1.02

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 365632
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 1.10.0-1.mga3
+ Revision: 291662
- update to 1.01

* Tue Jun 05 2012 jquelin <jquelin> 1.0.0-1.mga3
+ Revision: 254847
- update to 1.00

* Sat Nov 05 2011 kharec <kharec> 0.980.0-1.mga2
+ Revision: 163775
- update to 0.98

  + jquelin <jquelin>
    - update to 0.97

* Wed Jun 15 2011 jquelin <jquelin> 0.960.0-1.mga2
+ Revision: 106812
- update to 0.96

* Sun Apr 03 2011 jquelin <jquelin> 0.940.0-1.mga1
+ Revision: 80050
- update to 0.94

* Fri Feb 25 2011 jquelin <jquelin> 0.930.0-1.mga1
+ Revision: 59707
- update to 0.93

  + dmorgan <dmorgan>
    - Fix buildrequire

* Mon Jan 31 2011 dmorgan <dmorgan> 0.920.0-1.mga1
+ Revision: 44856
- Fix buildrequires
- New version

* Mon Jan 24 2011 jquelin <jquelin> 0.910.0-1.mga1
+ Revision: 36196
- mageia rebuild
- imported package perl-DateTime-Format-Natural

